Package com.sap.ai.sdk.core.model

# Class BckndExecutableResourceQuotaResponseQuota

java.lang.Object
com.sap.ai.sdk.core.model.BckndExecutableResourceQuotaResponseQuota

public class BckndExecutableResourceQuotaResponseQuota extends Object
BckndExecutableResourceQuotaResponseQuota

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndExecutableResourceQuotaResponseQuota()`
  Default constructor for BckndExecutableResourceQuotaResponseQuota.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndExecutableResourceQuotaResponseQuota`
  `create()`
  Create a new `BckndExecutableResourceQuotaResponseQuota` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndExecutableResourceQuotaResponseQuota`.
  `Integer`
  `getServingTemplateMaxCount()`
  The value can be 0(disabled) or a positive integer defining the maximum allowed number
  `Integer`
  `getWorkflowTemplateMaxCount()`
  The value can be 0(disabled) or a positive integer defining the maximum allowed number
  `int`
  `hashCode()`
  `BckndExecutableResourceQuotaResponseQuota`
  `servingTemplateMaxCount(Integer servingTemplateMaxCount)`
  Set the servingTemplateMaxCount of this `BckndExecutableResourceQuotaResponseQuota` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndExecutableResourceQuotaResponseQuota` instance.
  `void`
  `setServingTemplateMaxCount(Integer servingTemplateMaxCount)`
  Set the servingTemplateMaxCount of this `BckndExecutableResourceQuotaResponseQuota` instance.
  `void`
  `setWorkflowTemplateMaxCount(Integer workflowTemplateMaxCount)`
  Set the workflowTemplateMaxCount of this `BckndExecutableResourceQuotaResponseQuota` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndExecutableResourceQuotaResponseQuota` instance including unrecognized properties.
  `String`
  `toString()`
  `BckndExecutableResourceQuotaResponseQuota`
  `workflowTemplateMaxCount(Integer workflowTemplateMaxCount)`
  Set the workflowTemplateMaxCount of this `BckndExecutableResourceQuotaResponseQuota` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndExecutableResourceQuotaResponseQuota

    protected BckndExecutableResourceQuotaResponseQuota()
    Default constructor for BckndExecutableResourceQuotaResponseQuota.

- ## Method Details

  - ### servingTemplateMaxCount

    @Nonnull public BckndExecutableResourceQuotaResponseQuota servingTemplateMaxCount(@Nullable Integer servingTemplateMaxCount)
    Set the servingTemplateMaxCount of this `BckndExecutableResourceQuotaResponseQuota` instance and return the same instance.
    Parameters:
      `servingTemplateMaxCount` - The value can be 0(disabled) or a positive integer defining the maximum allowed number
    Returns:
      The same instance of this `BckndExecutableResourceQuotaResponseQuota` class

  - ### getServingTemplateMaxCount

    @Nonnull public Integer getServingTemplateMaxCount()
    The value can be 0(disabled) or a positive integer defining the maximum allowed number
    Returns:
      servingTemplateMaxCount The servingTemplateMaxCount of this `BckndExecutableResourceQuotaResponseQuota` instance.

  - ### setServingTemplateMaxCount

    public void setServingTemplateMaxCount(@Nullable Integer servingTemplateMaxCount)
    Set the servingTemplateMaxCount of this `BckndExecutableResourceQuotaResponseQuota` instance.
    Parameters:
      `servingTemplateMaxCount` - The value can be 0(disabled) or a positive integer defining the maximum allowed number

  - ### workflowTemplateMaxCount

    @Nonnull public BckndExecutableResourceQuotaResponseQuota workflowTemplateMaxCount(@Nullable Integer workflowTemplateMaxCount)
    Set the workflowTemplateMaxCount of this `BckndExecutableResourceQuotaResponseQuota` instance and return the same instance.
    Parameters:
      `workflowTemplateMaxCount` - The value can be 0(disabled) or a positive integer defining the maximum allowed number
    Returns:
      The same instance of this `BckndExecutableResourceQuotaResponseQuota` class

  - ### getWorkflowTemplateMaxCount

    @Nonnull public Integer getWorkflowTemplateMaxCount()
    The value can be 0(disabled) or a positive integer defining the maximum allowed number
    Returns:
      workflowTemplateMaxCount The workflowTemplateMaxCount of this `BckndExecutableResourceQuotaResponseQuota` instance.

  - ### setWorkflowTemplateMaxCount

    public void setWorkflowTemplateMaxCount(@Nullable Integer workflowTemplateMaxCount)
    Set the workflowTemplateMaxCount of this `BckndExecutableResourceQuotaResponseQuota` instance.
    Parameters:
      `workflowTemplateMaxCount` - The value can be 0(disabled) or a positive integer defining the maximum allowed number

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndExecutableResourceQuotaResponseQuota`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndExecutableResourceQuotaResponseQuota` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndExecutableResourceQuotaResponseQuota` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndExecutableResourceQuotaResponseQuota` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndExecutableResourceQuotaResponseQuota create()
    Create a new `BckndExecutableResourceQuotaResponseQuota` instance. No arguments are required.